org.encog.ml.factory.parse

## Class ArchitectureLayer

- java.lang.Object
- - org.encog.ml.factory.parse.ArchitectureLayer

-     public class ArchitectureLayer
      extends Object

  Holds the parse results for one layer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArchitectureLayer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()`
    `String` | `getName()`
    `Map<String,String>` | `getParams()`
    `boolean` | `isBias()`
    `boolean` | `isUsedDefault()`
    `void` | `setBias(boolean theBias)`
    `void` | `setCount(int theCount)`
    `void` | `setName(String theName)`
    `void` | `setUsedDefault(boolean theUsedDefault)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArchitectureLayer

          public ArchitectureLayer()

  - ### Method Detail

    - #### getCount

          public int getCount()

      Returns:
        the count.

    - #### getName

          public String getName()

      Returns:
        the name

    - #### getParams

          public Map<String,String> getParams()

      Returns:
        the params

    - #### isBias

          public boolean isBias()

      Returns:
        the bias

    - #### isUsedDefault

          public boolean isUsedDefault()

      Returns:
        the usedDefault

    - #### setBias

          public void setBias(boolean theBias)

      Parameters:
        `theBias` - the bias to set

    - #### setCount

          public void setCount(int theCount)

      Parameters:
        `theCount` - the count to set

    - #### setName

          public void setName(String theName)

      Parameters:
        `theName` - the name to set

    - #### setUsedDefault

          public void setUsedDefault(boolean theUsedDefault)

      Parameters:
        `theUsedDefault` - the usedDefault to set

Copyright © 2014. All Rights Reserved.